#include "inkey.ch"
#include "DLL.CH"
#include "font.ch"
#include "Gra.ch"
#include "Xbp.ch"
#include "AppEvent.ch"
#include "Box.ch"
#include "dcdialog.ch"
#include "dcmsg.ch"
#include "dbfdbe.ch"
#include "foxdbe.ch"
#include "nls.ch"
#include "common.ch"
#include "dctree.ch"

#pragma Library("DCLIPX.lib")
#pragma LIBRARY("XBTBASE1.lib")
#pragma LIBRARY("XBTBASE2.lib")

#define CRLF chr(13)+chr(10)
#define EUROZCH chr(213)

#define ICON_FVW              1
#define ICON_INFO         11003
#define ICON_ARROW_R      11004

****************************************************************************
**********************************************************************
PROCEDURE Dbesys()

IF !DbeLoad( "DBFDBE",.T.)
   DC_WinAlert( "Database-Engine DBFDBE not loaded" )
ENDIF
IF !DbeLoad( "CDXDBE",.T.)
   DC_WinAlert( "Database-Engine CDXDBE not loaded"  )
ENDIF
IF ! DbeLoad( "FOXDBE",.T.)
   DC_WinAlert("Database engine FOXDBE not loaded")
ENDIF
IF !DbeBuild( "FOXCDX", "FOXDBE", "CDXDBE" )
   DC_WinAlert("Database engine FOXCDX not created")
ELSE
   DbeSetDefault("FOXCDX")
   DbeInfo(COMPONENT_ORDER,FOXDBE_LOCKRETRY,20000000)
   DbeInfo(COMPONENT_ORDER,FOXDBE_LOCKDELAY,10)
   DbeInfo(COMPONENT_ORDER, FOXDBE_LOCKMODE, LOCKING_EXTENDED)
   DbeInfo(COMPONENT_ORDER, FOXDBE_LIFETIME, 0)
ENDIF
RETURN
*********************************
PROC appsys ; RETURN
****************************************************************************
PROCEDURE Main()
local GetOptions

SetLocale(NLS_ICURRENCYEURO,"1")
SetLocale(NLS_SCURRENCY,EUROZCH)
SetLocale(NLS_ICURRENCY,"3")
SET COLLATION TO GERMAN
set date german
set century on
set epoch to 1990
set wrap off
set deleted on
set optimize off
set rushmore off
set smartfilter off
SetCancel(.F.)

DC_LangSet(DCLANG_GERMAN)
DC_IconDefault(ICON_FVW)
DC_PopDateStart(.T.)
DC_GetPopupCaption( {"10.Marlett", "u", 1 } )
DC_Gui(.T.)
DC_DotHotkey(0)
DC_BitmapTransparentColor( {191,191,191})

DCGET OPTIONS ;
   SAYWIDTH 190 ;
   SAYHEIGHT 28 ;
   SAYOPTIONS XBPSTATIC_TEXT_VCENTER ;
   FONT "11.Arial Fett" ;
   SAYFONT "11.Arial Fett" ;
   GETFONT "14.Courier New Fett" ;
   GETHEIGHT 10 ;
   ROWPIXELS 28 ;
   ROWSPACE 28 ;
   COLPIXELS 10 ;
   TABSTOP ;
   CHECKGET ;
   COLOR 32752549 ;
   PRESENTATION { { XBP_PP_DISABLED_FGCLR,GRA_CLR_BLACK}, { XBP_PP_DISABLED_BGCLR,32752549}}

dc_getoptdefault(GetOptions)

****************
TestTreeView()
****************

return
******************************************************************
procedure TestTreeView()
local Getlist:={}, GetOptions, oShowBox, oTree, oTreeZr
local l, i, nSelected

local aItems:={ ;
  {"Kunden", 0, 0}, ;
    {"ohne Auftrag in Zeitraum..",1,                       12}, ;
    {"Monatsumsatz nach Abfallarten",1,                    27}, ;
    {"Umsatzrangliste (aus Lfs.)",1,                       30}, ;
    {"Mengenliste nach AVV-Nr. mit BV-Auswahl",1,          32}, ;
    {"Jahresabfallbilanz nach AVV-Nr. aus Rechnungen",1,   35}, ;
    {"Jahresabfallbilanz nach Artikeln (detailliert)",1,   37}, ;
    {"Jahresabfallbilanz Einzelartikel",1,                 38}, ;
  {"Auftragsanschriften", 0, 0}, ;
    {"ohne Auftrag in Zeitraum..",1,                       13}, ;
    {"Leistungen nach Mitarbeitern",1,                     93}, ;
  {"Behlter", 0, 0}, ;
    {"ohne Bewegung in Zeitraum..",1,                      11}, ;
    {"Behlterauslastung Monatsvergleich (2 Jahre)",1,    100}, ;
    {"Behlterauslastung 3-Jahres-Vergleich", 1,          103}, ;
  {"Fahrzeuge", 0, 0}, ;
    {"Tageserlse/Kosten pro Monat",1,                     21}, ;
    {"nach Kfz-Gruppen",1,                                 22}, ;
    {"Jahresauswertung Erlse/Kosten", 1,                 104}, ;
    {"Tageserlse nach Baustellen pro Monat",1,            36}, ;
  {"Personal/Fahrer", 0, 0}, ;
    {"Tageserlse/Kosten pro Monat",1,                     24}, ;
    {"Leistungen von Mitarbeitern",1,                      94}, ;
    {"Jahresauswertung Erlse/Stunden", 1,                105}, ;
  {"Auftrge", 0, 0}, ;
    {"S-Liste nach Zeitraum",1,                           31}, ;
    {"S-Liste nach Abfallarten",1,                        33}, ;
    {"S-Liste nach Entsorgern",1,                         34}, ;
    {"nach Erls/Preis (Alle,Kunden,ADM)",1,               23}, ;
    {"Entsorgungsleistungen",1,                            25}, ;
    {"Umsatzerlse nach Konten/Kostenstellen",1,           26}, ;
    {"Auftrge nach Ort/Bezirk",1,                         29}, ;
    {"Auftrge mit/ohne Lfs.", 1,                           5}, ;
    {"Jahresvergleich Auftrge", 1,                         8}, ;
    {"Anzahlungsliste fr Auftrge", 1,                   102}, ;
  {"Diverses", 0, 0}, ;
    {"Monatsumsatz Deponien nach Abfallarten",1,           28}, ;
    {"Mengen fr Entsorgungsnachweise",1,                   7}, ;
    {"Tagesmengen Auftrge und Platz", 1,                   9}, ;
  {"Auswertung fr Sub-Auftrge", 0,                      101} ;
}

DCGET OPTIONS TABSTOP SAYLEFT CHECKGET HIDE

@ 1,48 DCSTATIC TYPE XBPSTATIC_TYPE_RAISEDBOX SIZE 68,23 OBJECT oShowBox

@ 1,1 DCTREEROOT SIZE 45,25 OBJECT oTree ;
      HASLINES ;
      HASBUTTONS ;
      ALWAYSSHOWSELECTION ;
      ITEMMARKED {|o| nSelected:=o:cargo[3], dc_getrefresh(Getlist) }

l:=len(aItems)
for i:=1 to l
   if aItems[i][2]=0
       oTreeZr:=nil
       DCTREEITEM CAPTION aItems[i][1] PARENT oTree OBJECT oTreeZr CARGO aItems[i][3] IMAGENORMAL ICON_ARROW_R
   else
       DCTREEITEM CAPTION aItems[i][1] PARENT oTreeZr CARGO aItems[i][3] IMAGENORMAL ICON_INFO IMAGEMARKED ICON_INFO
   endif
next

@24.5,65 DCPUSHBUTTON CAPTION "Beenden" SIZE 15,1.3 ACTION {|| DC_ReadGuiEvent(DCGUI_EXIT_ABORT,GetList) }

DCREAD GUI ;
   TITLE "Test TreeView" ;
   OPTIONS GetOptions ;
   FIT ;
   SETAPPWINDOW ;
   SETFOCUS @oTree ;
   EVAL {|o| DC_ExpandTree(oTree), oTree:setData(oTree:rootItem:getChildItems()[1]), CenterControl(o,AppDesktop()), o:show() }

return
